package com.huatek.busi.service;

import com.huatek.busi.dto.BusiDrivepipeEvaluationResultsDto;

import java.util.Map;

public interface ITransformerEvaluationService {
    Map<String, Object> transformerEvaluation(String token, String siteId, String mainEquipmentId);

    Map<String, Object> drivepipeDiagnosis(String token, BusiDrivepipeEvaluationResultsDto dto);

    void initAndSave(String token, String mainTreeId, String siteId);

    void transformerSemiAutomaticEvaluation(String siteId, String mainEquipmentId);
}
